Package org.springframework.scheduling.quartz

# Class LocalTaskExecutorThreadPool

java.lang.Object
org.springframework.scheduling.quartz.LocalTaskExecutorThreadPool

All Implemented Interfaces:
  `ThreadPool`

public class LocalTaskExecutorThreadPool extends Object implements ThreadPool
Quartz `ThreadPool` adapter that delegates to a Spring-managed `Executor` instance, specified on `SchedulerFactoryBean`.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  - `SchedulerFactoryBean.setTaskExecutor(java.util.concurrent.Executor)`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final org.apache.commons.logging.Log`
`logger`
Logger available to subclasses.

## Constructor Summary

Constructors
Constructor
Description
`LocalTaskExecutorThreadPool()`

## Method Summary

Modifier and Type
Method
Description
`int`
`blockForAvailableThreads()`
`int`
`getPoolSize()`
`void`
`initialize()`
`boolean`
`runInThread(Runnable runnable)`
`void`
`setInstanceId(String schedInstId)`
`void`
`setInstanceName(String schedName)`
`void`
`shutdown(boolean waitForJobsToComplete)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### logger

protected final org.apache.commons.logging.Log logger
Logger available to subclasses.

## Constructor Details

### LocalTaskExecutorThreadPool

public LocalTaskExecutorThreadPool()

## Method Details

### setInstanceId

@Reflective public void setInstanceId(String schedInstId)

Specified by:
  `setInstanceId` in interface `ThreadPool`

### setInstanceName

@Reflective public void setInstanceName(String schedName)

Specified by:
  `setInstanceName` in interface `ThreadPool`

### initialize

public void initialize() throws SchedulerConfigException

Specified by:
  `initialize` in interface `ThreadPool`
Throws:
  `SchedulerConfigException`

### shutdown

public void shutdown(boolean waitForJobsToComplete)

Specified by:
  `shutdown` in interface `ThreadPool`

### getPoolSize

public int getPoolSize()

Specified by:
  `getPoolSize` in interface `ThreadPool`

### runInThread

public boolean runInThread(Runnable runnable)

Specified by:
  `runInThread` in interface `ThreadPool`

### blockForAvailableThreads

public int blockForAvailableThreads()

Specified by:
  `blockForAvailableThreads` in interface `ThreadPool`